#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    int t;
    cin >> t;
    for(int j = 0; j < t; j++){
        int n, k;
        long long m;
        cin >> n >> m >> k;
        int p = n / k;
        if(m < p * (p + 1) / 2 * (k - (n % k)) + (p + 1) * (p + 2) / 2 * (n % k)){
            cout << "Nie" << endl;
        }
        else{
            cout << "Tak" << endl;
        }
    }


    return 0;
}